#include <lib/std.mi>

Global AnimatedLayer m_anim;
Global Layer poslayer;
Global Map posmap;
Global Timer UpateTimer;
Global Button logoButton;

System.onScriptLoaded() {
  Group m_group = getScriptGroup();
  m_anim = m_group.getObject("anim");
  m_anim.show();

  logoButton = m_group.getObject("logo");

  poslayer = m_group.findObject("PosBar Full");

  posmap = new map;
  posmap.loadmap("player.pos.map");
  UpateTimer = new Timer;
  UpateTimer.setDelay(99);
  UpateTimer.start();
}

m_anim.onFrame(int framenum) {
  if(framenum == m_anim.getEndFrame()) {
    m_anim.stop();
    m_anim.hide();
  }
}

System.onSeek(int newpos) {
  if (newpos <= 0) return;
  int len = getPlayItemLength();
  if(len <= 0) return;
  int devby = len/255;
  if(devby <= 0) return;
  poslayer.setRegionFromMap(posmap,newpos/devby,1);
}

System.onStop() {
  poslayer.setRegionFromMap(posmap,0,1);
}

UpateTimer.onTimer() {
  System.onSeek(getPosition());
}

logoButton.onLeftButtonDown(int x, int y) {
  navigateUrl("http://www.projectdu.com/");
}